/**
 * @author: Armand Bahi
 * @Description: Fichier contenant les externs: fonctions à ne pas renommer durant la compilation
 * @externs
 */

/**
 * Function for initialise the bootstrap toggle switch checkbox plugin
 * @constructor
 * @param {object} arg1
 */
function bootstrapToggle(arg1) {}

/**
 * Function for initialise the bootstrap colorpicker plugin
 * @constructor
 * @param {object} arg1
 */
function colorpicker(arg1) {}

/**
 * Function for initialise the bootstrap table plugin
 * @constructor
 * @param {object} arg1
 */
function bootstrapTable(arg1) {}

/**
 * @param {object} arg1
 * @return {!jQuery}
 */
function sortable(arg1) {}

/**
 *
 * @param {string} key
 * @returns {undefined}
 */
ol.Object.prototype.get = function (key) {}

/**
 * Get the collection of layers associated with this map.
 * @return {!ol.Collection.<ol.layer.Base>} Layers.
 * @api stable
 */
ol.Map.prototype.getLayers = function () {}

/**
 * Return the visibility of the layer (`true` or `false`).
 * @return {boolean} The visibility of the layer.
 * @observable
 * @api stable
 */
ol.layer.Base.prototype.getVisible = function () {}

/**
 * Set the visibility of the layer (`true` or `false`).
 * @param {boolean} visible The visibility of the layer.
 * @observable
 * @api stable
 */
ol.layer.Base.prototype.setVisible = function (visible) {}

/**
 * The tile related to the event.
 * @type {ol.Tile}
 * @api
 */
ol.source.TileEvent.tile

/**
 * @type {string}
 * @see http://www.w3.org/TR/pointerevents/#the-touch-action-css-property
 */
CSSProperties.prototype.touchAction;
